Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### blue()

Examples

    noStroke();
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = blue(c);  // Sets "value" to "255"
    fill(value);
    rect(50, 20, 35, 60);

Description

Extracts the blue value from a color, scaled to match current colorMode(). This value is always returned as a float so be careful not to assign it to an int value.
The blue() function is easy to use and undestand, but is slower than another technique. To achieve the same results when working in colorMode(RGB, 255), but with greater speed, use a bit mask to remove the other color components. For example, the following two lines of code are equivalent:

    float r1 = blue(myColor);
    float r2 = myColor & 0xFF;

Syntax

    blue(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | red() green() hue() saturation() brightness()

Updated on November 22, 2008 08:39:25pm PST